import React, { Component } from "react";
import { connect } from "react-redux";
import * as actions from "../../actions/adminMainPageActions";
import AdminHeader from "../../components/adminHeader/adminHeader";
import Form from "../../components/eventForm/eventReduxForm";
import {eventFormInitialValue} from "../../state/addEventInitialValue"

class AdminAddEventPage extends Component {
    state = { 
        eventFormInitialValue
     };

    componentDidMount() {
	    this.props.getEvents();
	}

    render() {
        const {
            postNewEvent,
            eventList
        } = this.props

        console.log('eventList', eventList)

		console.log("initialValues", this.state.eventFormInitialValue);
		return (
            <>
            <AdminHeader/>
            <div className="event-form">
                <div className="event-form__content">
                    <h2 className="event-form__form-title">ADD NEW EVENT</h2>
        
                    <Form postNewEvent = {postNewEvent}/>
                </div>
            </div>
            </>
		);
	}
}

const mapStateToProps = state => ({
	eventList: state.adminMainPageReducer.eventList,
});

export default connect(mapStateToProps, actions)(AdminAddEventPage);