import React from 'react';
import { connect } from "react-redux";
//import { Link } from "react-router-dom";

import { getAllEvents } from "../../actions/getAllEvents";

import './events.scss';

import Sidebar from '../../components/sidebar/Sidebar';
import EventInfoShort from '../../components/eventInfoShort/EventInfoShort';

export class Events extends React.Component {
    componentDidMount() {
        this.props.getAllEvents();
    }

    render() {
        const { events } = this.props;
        console.log("events", events , this.props);
        return (
            <>
                <Sidebar />
                <div className="container-wrap">
                    <div className="events-content">
                        Events

                        <div className="events-list">
                            {
                                events.map(event => <EventInfoShort
                                    key={event._id}
                                    title={event.title}
                                    country={event.country}
                                    city={event.city}
                                    id={event._id}
                                    eventDate={event.eventDate}
                                    imgSrc={event.mainBannerPicture} />
                                )
                            }
                        </div>
                    </div>                    
                </div>
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        events: state.getEvents.events
    };
};

export default connect(
    mapStateToProps,
    { getAllEvents }
)(Events);